pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/39653: devel/subversion and devel/git belongs to meta-pkgs/

>Number:         39653
>Category:       pkg
>Synopsis:       devel/subversion and devel/git belongs to meta-pkgs/
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon Sep 29 16:20:00 +0000 2008
>Originator:     Arnaud Lacombe
>Release:        4.99.72
devel/subversion and devel/git are meta packages. They only depends on others 
regular packages. Having them in devel/ leads people to install them rather 
than devel/subversion-base and devel/git-base if they only want basic 
functionality. meta-pkgs/ is a better place for those two packages.
naively install devel/subversion and you will get all svn language binding and 
apache web server where you only wanted to check out a repository.
mv devel/subversion meta-pkgs/;
mv devel/git meta-pkgs/

Home | Main Index | Thread Index | Old Index